So one way I like to rotate text in Civil 3D is in the properties window.?ÿ In the Text section of properties there's a rotation box.?ÿ Normally what I do is simply highlight the object I want to rotate and copy and paste a bearing into that box, hit enter, and blammo it's rotated.
The Civil 3D I'm using now doesn't seem to work this way; the rotation box only accepts an azimuth.?ÿ Does anyone know how to change this so it'll read a bearing as well?
Slightly off question, but I hope this helps lead toward a solution: ?ÿin Carlson IntelliCad I use twisttext command, then align, then choose the text, then choose the line I want it to align to. ?ÿI hope this proves to be more helpful, and less distracting. ?ÿGood luck.
Yeah, there's the aligntext command in Civil 3D but it feels kind of tedious and slow compared to the way I normally do it.
Should be the UNITS command, change the Angle Type to "Surveyor's Units":
After that you the Rotation value in the Properties pane will switch to bearings.
It think that maybe this setting is what you are looking for. Drawing Settings - Toolspace, Settings tab, right click on drawing name,?ÿ select "Edit Drawing Settings"
If it works be sure to make the edit to your template or you will be going here with every new drawing.?ÿ
Nice, I think this may have nailed it.?ÿ It's being fussy and not recognizing the degree symbol which I could have swore it didn't used to do, but I can't quite remember.?ÿ Anyway, really good lead here, thanks.
The template was already set to bearings so I don't think this is causing the problem but good idea anyway because it's unlikely I would have looked here.
Been almost a year since using C3D, and I know Normans on the right track, but I seem to recall that there are multiple places in the settings window that may need to be changed.?ÿ
Have you tried using the "torient" command??ÿ
Also, when you select the text and then right click, there is an option "Rotation Match". This may only be available if you have the sincpac add-on.
Slightly off question, but I hope this helps lead toward a solution: ?ÿin Carlson IntelliCad I use twisttext command, then align, then choose the text, then choose the line I want it to align to. ?ÿI hope this proves to be more helpful, and less distracting. ?ÿGood luck.
TORIENT works really well for this in C3d
I like TORIENT a lot, but it does require manually selecting two points to rotate to.
If you have a line or polyline segment that you want to rotate to, here's a LISP (pulled off CADTutor a while back, I can't take credit for it) that lets you just pick the line segment, then any text objects you want to align to it, then push enter. Faster and easier than selecting two points every time...
Just save the below to .LSP and use "AT1" to invoke.
I still use TORIENT for orienting things to xref objects, since this lisp can't handle xrefs.
;--------------------------------------------------------
;lisp program...............................aligntxt.lsp
;
; aligns text to a line
;
;---------------------------------------------------------
; modified by Alan H to allow plines(defun c:at1 (/ ent pt1 pt2 ang ss tobj)
(setq ent (entsel "Select line or pline section"))
(setq objname (cdr (assoc 0 (entget (car ent)))))
(if (= objname "LWPOLYLINE")
(progn
(setq pr (vlax-curve-getparamatpoint (car ent) (setq p (vlax-curve-getclosestpointto (car ent) (cadr ent)))))
(setq pt1 (vlax-curve-getpointatparam (car ent) (fix pr)))
(setq pt2 (vlax-curve-getpointatparam (car ent) (1+ (fix pr))))
)
)
(if (= objname "LINE")
(progn
(setq pt1 (cdr (assoc 10 (entget (car ent)))))
(setq pt2 (cdr (assoc 11 (entget (car ent)))))
)
)
(setq ang (angle pt1 pt2))
(setq ss (ssget (list (cons 0 "*text"))))
(repeat (setq x (sslength ss))
(setq tobj (vlax-ename->vla-object (ssname ss (setq x (- x 1)))))
(vla-put-rotation tobj ang)
)(prompt "n n")
(princ)
)
I use lisp for this as well.?ÿ ATL is Align Text to (selected) Line and RTX is Rotate TeXt that lets you selct 2 pts anf the text(s) you want to apply it to.?ÿ Happy to share if you'd like.
Nice, I think this may have nailed it.?ÿ It's being fussy and not recognizing the degree symbol which I could have swore it didn't used to do, but I can't quite remember.?ÿ Anyway, really good lead here, thanks.
I don't remember the properties box ever recognizing a degree symbol. It does recognize a "d" for the degrees.
Civil 3D 2021 and 2022 both seem to randomly recognize the ?ø symbol - it comes and goes, and I have never figured out why. ALT +248 works sometimes, CTRL +D also works sometimes. Restarting AutoCAD also works sometimes (but not always).
Have you ever tired the "Rotation Match"? Mine was a default option in my right-click menu when the object/Mtext is selected.